Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SAgent

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier, SActable, SAttributed, SImplemented, SNamed

All Known Subinterfaces:
  SContext

All Known Implementing Classes:
  SAgentImpl, SContextImpl

    public interface SAgent

extends SActable, SImplemented

Method Summary
`SContext` | `getOwner()` Returns the value of the 'Owner' container reference.
`org.eclipse.emf.common.util.EList<SStyle>` | `getStyles()` Returns the value of the 'Styles' containment reference list.
`void` | `setOwner(SContext value)` Sets the value of the '`Owner`' container reference.

Methods inherited from interface org.metaabm.SActable
`getRootActivity, setRootActivity`

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes, isReachable`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SImplemented
`getImplementation, getParent, setImplementation`

Method Detail

### getStyles

    org.eclipse.emf.common.util.EList<SStyle> getStyles()

  Returns the value of the 'Styles' containment reference list. The list contents are of type `SStyle`. It is bidirectional and its opposite is '`Agent`'.

  If the meaning of the 'Styles' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Styles' containment reference list.
  See Also:
    `MetaABMPackage.getSAgent_Styles()`, `SStyle.getAgent()`

### getOwner

    SContext getOwner()

  Returns the value of the 'Owner' container reference. It is bidirectional and its opposite is ' `Agents`'.

  If the meaning of the 'Owner' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owner' container reference.
  See Also:
    `setOwner(SContext)`, `MetaABMPackage.getSAgent_Owner()`, `SContext.getAgents()`

### setOwner

    void setOwner(SContext value)

  Sets the value of the '`Owner`' container reference.

  Parameters:
    `value` - the new value of the 'Owner' container reference.
  See Also:
    `getOwner()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD